SPA Mail Server Configurations
SPA: Create mail server configuration
Creates a new mail server configuration for the client.
POST
/api/spa/mail-server-configurationsAuthorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Request Body
application/json
required
The new MailServerConfiguration resource
{
"identifier": "string",
"dsn": "string",
"sender": "string",
"headers": [
"string"
],
"subClient": {},
"active": true,
"activeFrom": "2024-01-01",
"subClientDefault": false
}Response
201
MailServerConfiguration resource created
id
integer
identifier
stringrequired
dsn
stringrequired
sender
string<email>required
headers
string[]required
createdBy
string
User, created this entry
updatedBy
string
User, updated this entry
createdAt
string<date-time>
UTC date time of entry creation
updatedAt
string<date-time>
UTC date time of last entry update
active
boolean
Active flag. Default: true
activeFrom
string<date-time>
Date to activate the entry. Default: today
subClientDefault
boolean
Default for environmental tenants (sub-clients)
subClientId
integer
SubClient ID. Provided on instances with enabled sub-client module only.
subClientDescription
string
SubClient description. Provided on instances with enabled sub-client module only.